Subject: Re: [MOBILE-IP] charter review

From: John Emmert <[email-masked]>
Date: Wed, 9 Aug 2000 09:49:15 -0500

At 09:36 AM 8/9/00, Roberts Phil-QA3445 wrote:

>We would like to hear from WG members their opinions on this
>proposal. You should be aware that going forward there MAY or
>MAY NOT necessarily be another WG in the IETF to pick up this work
>although we feel that it is a topic that needs separate coverage.

I agree, although to a large extent, I think the current IP4 solution is
workable. The fact that we have it deployed and working may have something
to do with that! :-)

---

From: James Kempf <[email-masked]>
Date: Wed, 9 Aug 2000 08:19:34 -0700

Phil and Raj,

I support this proposal, as I believe it will help focus the discussion
on mobile IP as it exists and what is needed to make it deployable.

I also would like to see another working group take up the micromobility
proposals, and hope that the IESG will see fit approve a charter including
it.

                jak

>MIME-Version: 1.0
>Date: Wed, 9 Aug 2000 09:36:10 -0500
>From: Roberts Phil-QA3445 <[email-masked]>
>Subject: [MOBILE-IP] charter review
>To: [email-masked]
>
>The chairs would like to refocus the Mobile IP WG objectives to
>protocols and solutions that are based on Mobile IP v4 and v6. The
>current objective in the charter of enhancing the protocol to make it
>suitable for deployment can be achieved if we simply focus on what
>needs to be done from the perspective of just Mobile IP as specified
>for IPv4 and IPv6.
>We believe that alternatives to Mobile IP for IP mobility are outside
>the scope of this WG. To this end we are proposing that we remove the
>micromobility bullet item from our charter. Removing this means that
>we are not going to be considering protocols that are not based of
>Mobile IP v4/6. The two specific protocols that are WG items currently
>that will drop out of scope immediately are Cellular IP and HAWAII.
>
>Phil and Basavaraj

---

From: Roberts Phil-QA3445 <[email-masked]>
Date: Wed, 16 Aug 2000 10:06:49 -0500

Let me make sure I understand what you're saying.  You think it fine to trim
the charter to remove non mobile ip based micromobility solutions, but you
don't want us to get out of the fast handover business or, in other words,
improving the performance of mobile ip mobility?

Thanks,
Phil

> -----Original Message-----
> From: Alan O'Neill [mailto:[email-masked]]
> Sent: Wednesday, August 16, 2000 9:35 AM
> Subject: Re: [MOBILE-IP] charter review
>
>
> Hi Phil / Basavaraj,
>
> The EMA team definitely agree that the re-focussing needs to
> be done and I
> certainly plan
> to refresh a proposal to the AD's to enable a BOF at the next IETF to
> address intra-domain mobile routing. Routing should not be in MIP...
>
> BT however is specifically seeking a large-scale mobile
> routing solution for
> input
> into the 3G bodies for Release 2000+ which includes support for fast
> restoration at the IP layer. This solution should co-exist
> with MIP based
> mechanisms to support evolutionary and incremental
> deployment. Interactions
> with GTP mechanisms will likely be covered by 3G activity.
>
> Whilst BT is not specifically interested at this time in small scale
> (micro-mobility)
> solutions, they are clearly within the scope of this BOF,
> share a common
> need for
> standardisation with well-defined applicability statements
> and hopefully a
> common interface to both hosts, edge routers and the related
> MIP interfaces
> / features for IP hand-over, temporary forwarding and
> inter-domain movement.
>
> I think it is important that the above requirements for MIP
> are kept in
> scope of the
> MIP working group so that we avoid evolutionary disconnects. We will
> certainly
> continue to contribute to both the handoff plane of MIP and the mobile
> routing work to
> assist in this.
>
> Alan O'Neill, Scott Corson, George Tsirtsis.
>
> > -----Original Message-----
> > From: Roberts Phil-QA3445 [SMTP:[email-masked]]
> > Sent: Thursday, August 10, 2000 12:06 AM

---

From: "Alan O'Neill" <[email-masked]>
Date: Wed, 16 Aug 2000 16:38:36 +0100

Absolutely.

In general, as an operator we would wish to have a set of standardised,
optimised yet complementary deployment tools from which to select at each
Release stage.

> Sent: Thursday, August 17, 2000 12:37 AM

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Thu, 17 Aug 2000 02:09:20 +1000

Good question !

Hesham

>BT however is specifically seeking a large-scale mobile routing solution
for
>restoration at the IP layer. This solution should co-exist with MIP based
>mechanisms to support evolutionary and incremental deployment. Interactions

It would be very interesting to hear why mobile IP does not meet BT's
requirements in this area, since one of the primary goals of the
current work is to make mobile IP able to perform this kind of function.

                jak

---

From: "Alan O'Neill" <[email-masked]>
Date: Wed, 16 Aug 2000 17:20:21 +0100

Hi Charlie,

Responses below. Thanks for helping to clarify

> From: Charles E. Perkins [SMTP:[email-masked]]
> Sent: Thursday, August 17, 2000 12:57 AM
> To:   [email-masked]
> Cc:   [email-masked]
> Hello Alan,
> Since IPv4 Regional Registration is in Last Call (I think!) and
> it purports to be a Mobile IP mechanism for doing intra-domain
> mobility, I would like to see that it remain a mobile-ip working
> group item for at least as long as it takes to make it out of
> the current process.
        [AWO]  Of course

> I thought that there was a distinction being made based on whether
> an intra-domain mechanism used Mobile IP or not.  Mechanisms that
> use Mobile IP are worth discussion in the mobile-ip working group.
> Mechanisms that use some other protocol might be beneficially
> discussed in some outgrowth of CRAPS or OBAST or something along
> those lines.  Layer-2 mechanisms might not even belong in the IETF.
>
        [AWO]  Absolutely

> Handover mechanisms that involve Mobile IP also should be discussed
> in the mobile-ip working group.  My understanding of the problem
> leads me to believe that some handover mechanisms involve Mobile IP,
> and others do not.  It is the task of the recently designated
> design teams to figure this out for IPv4 and for IPv6.
>
        [AWO]  Agreed. The specific hooks I am therefore asking to be left
in MIP work are those necessary for kicking off intra-domain mobile routing
(and preserving the utility of the CoA) as opposed to either regional
registrations or repeated MIP BU's to CN's/HA's. These hooks are very simple
and clean as illustrated in EMA:MIP draft. The alternative is that the
intra-domain routing folks re-invent an alternative to MIP (which looks very
similar to MIP) and will no doubt lead to all sorts of host and access
router transition and interoperability problems. The intra-domain routing
folks should view this as simply submitting new 'in-scope' MIP requirements
to the wg for consideration.

> To your points:
>
> > The EMA team definitely agree that the re-focussing needs to be done and
> I
> > certainly plan
> Mobile IP is in the routing area.  So, I am not at all clear on what
> you mean by this statement.  If you mean that OSPF or RIP-based solutions
> for intra-domain mobility should be discussed elsewhere, I agree.
        [AWO]  That is what I meant..but the scope needs to cover other
routing protocols which hopefully do not have the OSPF like and RIP like
limitations (ie modified MANET routing)

> The working group should open some discussion on whether GTP tunneling
> is a useful work item.  Alessio Casati authored a small draft on GTP
> which was intended to open this discussion, but not much interest has
> been shown for a long time.
        [AWO]  Well personally speaking I think that GTP is not a subject
for IETF work, but aiming to produce a viable alternative to it, in the
shape of MIP etc is.

> What does "fast restoration" mean?
        [AWO]  Being able to rapidly react to the failure of nodes to
maintain IP sessions...ie for real-time services etc OSPF convergence times
are problematic and new routing technology should aim to address this. In
the meantime we have to rely on other layers...

> What does Release 2000+ mean?  Is it different than the rumored
> Release 01? [AWO]   Beyond Release 00  :-)
>
> > solutions, they are clearly within the scope of this BOF, share a common
> > need for
> > standardisation with well-defined applicability statements and hopefully
> a
> > common interface to both hosts, edge routers and the related MIP
> interfaces
> > / features for IP hand-over, temporary forwarding and inter-domain
> movement.
>
> Can you make a clear distinction between your proposed BOF, and the
> selection of topics that were raised at the recent CRAPS BOF?
        [AWO]  CRAPS covered a wide range of issues. We will be seeking a
very focussed BOF on new intra-domain routing technology for the support of
existing routing performance requirements, plus mobility with fast
restoration capabilities. OSPF / IS-IS have problems in both areas...lets
discuss the issues, present the detailed work to date on this (we know of at
least two approaches and I am sure others are developing), and see if there
is sufficient interest / progress to warrant an IRTF or IETF wg

> > I think it is important that the above requirements for MIP are kept in
> > scope of the
> Would you formulate the proposed requirements on Mobile IP as follows?
> - Mobile IP interfaces to intra-domain mobility mechanisms
        [AWO] yes
> - Evolutionary paths from GTP
        [AWO]  needs set of MIP requirements from 3G as a precurser though
as GTP is a 3G thing
> - IP handover interface
        [AWO]  yes
> - Tunneling from the previous access router (foreign agent)
        [AWO]  yes
> - Inter-domain mobility assuming heterogeneous intra-domain solutions...
        [AWO]  yes
>
> I assume that this last point would include some AAA interface
> requirement.
        [AWO]  as always

> Regards,
> Charlie P.

---

From: "Alan O'Neill" <[email-masked]>
Date: Wed, 16 Aug 2000 17:30:05 +0100

Hi James,

That is not the issue. The issue is more whether a routed solution would
result in a less stateful, more resilient, easier to manage and less costly
solution than Mobile IP. We won't know that until we do the detailed work
but at the moment we believe it would. If it turns out that this is the case
then having a migration path seems sensible provided it doesn't

We are as keen as you to make MIP as good as it can be.

Alan.

> From: James Kempf [SMTP:[email-masked]]
> Sent: Thursday, August 17, 2000 1:00 AM

---

From: "Casati, Alessio (Alessio)" <[email-masked]>
Date: Thu, 31 Aug 2000 15:50:14 +0100

> ----------
> From:         Charles E. Perkins[SMTP:[email-masked]]
> Sent:         30 August 2000 15:56
> To:   Casati, Alessio (Alessio)
> Hello Alessio,
> Judging from the distance between need and deployment for
> Mobile IP, it seems we have a very long way to go before
> retirement.
>
The more this WG does not get focused, the
greater the distance becomes. I believe that's the point,
right?

alessio